Skip to content

List clients

GET
/v2/clients
curl --request GET \
--url https://pie.streamline.enterprises/v2/clients \
--header 'Authorization: Bearer <token>'

List of clients

Media type application/json
Array<object>
object
client_id
required
string
client_uuid
required
string format: uuid
name
required
string
status
required
string
Allowed values: active suspended
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
[
{
"client_id": "client-1",
"client_uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"name": "Example Client",
"status": "active",
"created_at": "2025-01-15T10:00:00Z",
"updated_at": "2025-01-15T10:00:00Z"
}
]

Missing or invalid Authorization bearer token, expired token, or token rejected by the authorization layer (e.g. API Gateway JWT authorizer or application validation).

Media type application/json
object
success
required
boolean
message
required

Human-readable error message

string
Example
{
"success": false
}

Authenticated caller lacks the permission required for this operation.

Media type application/json
object
success
required
boolean
message
required

Human-readable error message

string
Example
{
"success": false
}